Magick::ImageMoments Class Reference

`#include <Statistic.h>`

## Public Member Functions

| ImageMoments (void)
| ImageMoments (const ImageMoments &imageMoments_)
| ~ImageMoments (void)
ChannelMoments | channel (const PixelChannel channel_) const
| ImageMoments (const Image &image_)

## Detailed Description

Definition at line 219 of file Statistic.h.

## Constructor & Destructor Documentation

## ImageMoments() [1/3]

Magick::ImageMoments::ImageMoments | ( | void |  | ) |

Definition at line 423 of file Statistic.cpp.

## ImageMoments() [2/3]

Magick::ImageMoments::ImageMoments | ( | const ImageMoments & | imageMoments_ | ) |

Definition at line 428 of file Statistic.cpp.

## ~ImageMoments()

Magick::ImageMoments::~ImageMoments | ( | void |  | ) |

Definition at line 433 of file Statistic.cpp.

## ImageMoments() [3/3]

Magick::ImageMoments::ImageMoments | ( | const Image & | image_ | ) |

Definition at line 449 of file Statistic.cpp.

References channel(), Magick::Image::constImage(), GetPPException, Magick::Image::quiet(), and ThrowPPException.

## Member Function Documentation

## channel()

Magick::ChannelMoments Magick::ImageMoments::channel | ( | const PixelChannel | channel_ | ) | const

Definition at line 437 of file Statistic.cpp.

Referenced by ImageMoments().

The documentation for this class was generated from the following files:

- Statistic.h
- Statistic.cpp